Subject: [TR] Morning commute

From: Pete Arakelian <[email-masked]>
Date: Fri, 8 Mar 2013 13:24:09 -0800

I know I've talked about my commute before, and my apologies and sympathy for
those of you in horrible weather, but this morning was fantastic!
If you have Google earth, check Gaviota in California.  My commute brings me
from Buellton to Goleta along the coast, Highway101.  We just had an inch of
rain overnight and this morning it was clearing out.  Those of you who are top
down enthusiasts will appreciate the experience of riding after a storm.  The
clouds shelving out from the hills toward the ocean, the sun just coming up
lighting the undersides red, the sky clear as a bell with a clear view of the
offshore islands 26 miles away.  Last small sliver of the moon above.
Temperature 460.  Signs of spring are coming to southern California - the
mustard plants are yellow and everywhere, the next sign will be the blooming
of the ice plants, everything is green this time of year.
It was fantastic!

Peter

** [email-masked] **

Archive: http://www.team.net/archive